body, html
{	
	font-family: degular, sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 12px;
	color: #fff;
	text-align: center;
	margin: 0;
	box-sizing: border-box;
	overflow: hidden;
	background-color: #000; /* For browsers that do not support gradients */
}
body
{
	position: relative;
	height: 100%;
	overflow-x: hidden !important;
	max-width: 100%;
}
div
{
	box-sizing: border-box;
}
.row
{
	width: 100%;
	margin: 0 auto;
}
.row:after
{
	display: block;
	clear: both;
	float: none;
	content: '';
}
h1, h2, h3, h4, h5
{
	font-family: degular, sans-serif;
	font-weight: 700;
}
h1, h2
{
	font-size: 2rem;
	line-height: 2rem;
}
h1
{
	line-height: 3rem;
	padding: 20px 10px;
	margin: 0;
}
h2
{
	font-weight: 300;
	margin-top: -20px;
}
h3
{
	font-size: 1.4rem;
	font-weight: 300;
	margin: 0 auto;
}
a
{
	color: inherit;
}
.container
{
	max-width: 800px;
	margin: 0 auto;
	padding: 0 10px;
}
#header
{
	position: relative;
	padding: 10px 0;
	margin-top: 2vh;
}
#header-inner
{
	max-width: 700px;
}
#mobile-cake
{
	max-width: 25%;
}
.header-hearts
{
	display: none;
}
#emoji
{
	display: none;
	position: absolute;
	/*height: 30%;*/
	width: 30%;
	max-width: 90px;
    bottom: 0;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    transform: translateX(-50%);
}
.seperator 
{
	width: 40%;
	min-width: 300px;
    height: 20px;
    margin: 30px auto 10px;
    background-image: url(images/squiggle.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
#main
{

}
#main .intro
{
	color: #070505;
	padding: 20px;
}
.intro, #results
{

}
button, input[type="submit"]
{
	font-family: degular, sans-serif;
	font-size: 1.2rem;
	font-weight: 700;
	width: 450px;
    max-width: 95%;
	background-color: yellow;
	padding: 12px 30px;
	border: none;
	border-radius: 50px;
    color: #000;
    margin: 0;
    outline: none;
    cursor: pointer;
    -webkit-appearance: none;
}
#questions
{
	margin: 0 20px;
}
select
{
	font-size: 1.1rem;
	font-weight: 300;
	color: #fff;
	border-radius: 50px;
    border: 1px solid #fff;
    margin: 1.4em auto 1.8em;
    width: 450px;
    max-width: 95%;
    background-color: #000;
	padding: 10px 35px 10px 15px;
    outline: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: linear-gradient(45deg, transparent 50%, white 50%), linear-gradient(135deg, white 50%, transparent 50%), linear-gradient(to right, black, black);
    background-position: calc(100% - 20px) calc(1.1em),calc(100% - 14px) calc(1.1em),100%;
    background-size: 6px 6px, 6px 6px, 3em 3.5em;
    background-repeat: no-repeat;
    text-align: center;
}
option
{
	padding: 5px;
}
#loading
{
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: black;
	z-index: 3;
}
#loading-video
{
	text-align: center;
    margin-top: 40vh;
    max-width: 50%;
}
#results
{
	display: none;
}
#answer-info
{
	width: 80%; 
	font-size: 1.4rem;
	max-width: 1000px;
    text-align: center;
    margin-top: -15px;
}
#answer-info p:first-child
{
	margin-top: 0;
	margin-bottom: 0;
}
#cake-result
{
	font-size: 2.2rem;
	color: #FED230;
	text-transform: uppercase;
	margin: 5px 0 0;
	line-height: 1;
}
h6
{
	font-size: 1.6rem;
	margin: 0 0 5px;
}
.type-results-time
{
	margin-top: 10px;
}
.type-item
{
	width: 80%;
	min-width: 280px;
    float: none;
    border: 2px solid;
    margin: 10px auto;
}
h4
{
	font-size: 2rem;
	margin: 5px 0 2px;
}
h4 span
{
	font-size: 1.2rem;
}
.type-item p
{
	margin-top: 0;
}
#widget-footer
{
	position: absolute;
	width: 100%;
	bottom: 0;
}    
.footer-inner
{
	width: 90%;
	min-width: 300px;
	height: 50px;
    margin: 0 auto;
    padding: 5px 0;
    color: #fff;
    border-top: 1px solid #707070;
}
.footer-inner p, .footer-inner img
{
	display: inline-block;
	vertical-align: middle;
}
img#logo
{
	width: 80px;
}
#try-again
{
	margin-top: 1vh;
}
@media screen and (min-width: 414px)
{
	body, html
	{
		font-size: 14px;
	}
	header
	{
		margin-top: 3vh;
	}
	h3 
	{
	    margin: 0 auto 20px;
	}
	#questions
	{
		margin: 2vh 20px 0;
	}
	#cake-result
	{
		margin: 10px 0 0;
	}
	#answer-info p:first-child
	{
		margin-top: 0;
		margin-bottom: 10px;
	}
	h6
	{
		margin: 0 0 10px;
	}
	h4
	{
		font-size: 2.6rem;
	}
	h4 span
	{
		font-size: 1.8rem;
	}

}
@media screen and (min-width: 500px)
{
	h4
	{
		font-size: 3rem;
		margin: 10px 0 5px;
	}
	h4 span
	{
		font-size: 2.2rem;
	}
}
	
@media screen and (min-width: 768px)
{
	button, input[type="submit"]
	{
		padding: 10px 50px 12px;
	}
	h4
	{
		font-size: 2.6rem;
	}
	h4 span
	{
		font-size: 1.8rem;
	}
	.footer-inner
	{
		height: 80px;
		margin: 0 auto;
		padding: 15px 0;
	}
	
}
@media screen and (min-width: 1024px)
{
	h1, h2
	{
		font-size: 2.5rem;
	}
	h2
	{
		line-height: 2.5rem;
		margin-top: -10px;
	}
	h3 
	{
	    margin: 20px auto 20px;
	}
	#header
	{
		margin-top: 5vh;
	}
	#mobile-cake
	{
		display: none;
	}
	.header-hearts
	{
		display: block;
		position: absolute;
		z-index: 1;
		height: 110vh;
	}
	#hearts-left
	{
		top: -5vh;
   		left: -22vw;
	}
	#hearts-right
	{
		top: -12vh;
		right: -20vw;
	}
	.seperator 
	{
		width: 70%;
		margin: 40px auto 20px;
	}
	.type-results-time
	{
		margin-top: 20px;
	}
	.type-item
	{
		width: 33.33%;
		min-width: auto;
		float: left;
		border: none;
		margin: auto;
	}
	img#logo
	{
		width: 100px;
	}
}
@media screen and (min-width: 1200px)
{
	body, html
	{
		font-size: 16px;
	}
	h1, h2 
	{
    	font-size: 3rem;
	}
	h3 
	{
	    margin: 30px auto 10px;
	}
	.container
	{
		max-width: 1000px;
	}
	#hearts-left
	{
   		left: -15vw;
	}
	#hearts-right
	{
		top: -12vh;
		right: -15vw;
	}
	
}
@media only screen and (min-width: 1350px)
{
	#header
	{
		margin-top: 5vh;
		padding: 20px 0;
	}
	#hearts-left
	{
   		left: -10vw;
	}
	#hearts-right
	{
		right: -10vw;
	}
	.seperator 
	{
		margin: 50px auto 30px;
	}
	#questions
	{
		margin: 4vh 20px 0;
	}
	.type-results-time
	{
		margin-top: 40px;
	}

}
@media only screen and (min-width: 1500px)
{
	#header
	{
		margin-top: 8vh;
	}
	#hearts-left
	{
   		left: -8vw;
	}
	#hearts-right
	{
		right: -8vw;
	}
	.seperator 
	{
		margin: 60px auto 40px;
	}

}
@media only screen and (min-width: 2000px)
{
	#hearts-left
	{
   		left: -5vw;
	}
	#hearts-right
	{
		right: -5vw;
	}
}